com.microfocus.awm.control

## Class ActionExecutorResult

- java.lang.Object
- - com.microfocus.awm.control.ActionExecutorResult

-     public class ActionExecutorResult
      extends java.lang.Object

  Contains the result of an executed action which is actually either an `IAction` or an `ActionExecutor.ActionExecutorJob`, depending on the `Execution Mode` attribute of the action descriptor.
  Author:
    Ralf Pakosch
  See Also:
    `getAction()`, `getJob()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionExecutorResult(ActionExecutor.ActionExecutorJob pJob)` Constructor for `EActionExecutionMode.MODELESS` actions.
    `ActionExecutorResult(IAction pAction)` Constructor for `EActionExecutionMode.MODAL` actions.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IAction` | `getAction()` Gets the the executed action or `null` if the execution mode was `EActionExecutionMode.MODELESS`.
    `ActionDescriptor` | `getActionDescriptor()` Gets the the action descriptor of the executed action.
    `EActionExecutionMode` | `getExecutionMode()` Gets the execution mode of the executed action descriptor.
    `ActionExecutor.ActionExecutorJob` | `getJob()` Gets the the scheduled job or `null` if the execution mode was `EActionExecutionMode.MODAL`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionExecutorResult

          public ActionExecutorResult(IAction pAction)

      Constructor for `EActionExecutionMode.MODAL` actions.
      Parameters:
        `pAction` - the executed action

    - #### ActionExecutorResult

          public ActionExecutorResult(ActionExecutor.ActionExecutorJob pJob)

      Constructor for `EActionExecutionMode.MODELESS` actions.
      Parameters:
        `pJob` - the scheduled `ActionExecutor.ActionExecutorJob`

  - ### Method Detail

    - #### getExecutionMode

          public EActionExecutionMode getExecutionMode()

      Gets the execution mode of the executed action descriptor.
      Returns:
        the execution mode

    - #### getActionDescriptor

          public ActionDescriptor getActionDescriptor()

      Gets the the action descriptor of the executed action.
      Returns:
        the action descriptor

    - #### getAction

          public IAction getAction()

      Gets the the executed action or `null` if the execution mode was `EActionExecutionMode.MODELESS`.
      Returns:
        the action or `null`
      See Also:
        `getExecutionMode()`

    - #### getJob

          public ActionExecutor.ActionExecutorJob getJob()

      Gets the the scheduled job or `null` if the execution mode was `EActionExecutionMode.MODAL`.
      Returns:
        the job or `null`
      See Also:
        `getExecutionMode()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.